Subject: [PATCH 0/4] error cleanups in lock_ref_sha1_basic

From: Jeff King <[email-masked]>
Date: Tue, 18 Nov 2014 20:35:32 -0500

On Tue, Nov 18, 2014 at 05:13:17PM -0800, Stefan Beller wrote:

> From: Ronnie Sahlberg <[email-masked]>
> 
> Change lock_ref_sha1_basic to return an error instead of dying,
> when we fail to lock a file during a transaction. This function is
> only called from transaction_commit() and it knows how to handle
> these failures.
> 
> [sb: This was part of a larger patch series, cherry-picked to master]
> 
> Signed-off-by: Ronnie Sahlberg <[email-masked]>
> Signed-off-by: Jonathan Nieder <[email-masked]>
> Signed-off-by: Stefan Beller <[email-masked]>

I think this is a good thing to do. I independently wrote the same patch
recently, along with some other cleanups. Here's the series I ended up
with (I added Ronnie as the author of the final one, which replaces
this; even though my discovery was independent, he wrote it first :) ).

  [1/4]: error: save and restore errno
  [2/4]: lock_ref_sha1_basic: simplify errno handling
  [3/4]: lock_ref_sha1_basic: simplify error code path
  [4/4]: lock_ref_sha1_basic: do not die on locking errors

-Peff